Bug 38216 - zip drive module ppa failure
zip drive module ppa failure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-28 15:07 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 13:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error message from dmesg (5.24 KB, text/plain)
2001-04-28 15:08 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-04-28 15:07:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)


After about 30 minutes of use with a zip drive (ppa version), I notice that
the ppa module fails and is unable to access /dev/sda4. 

Reproducible: Always
Steps to Reproduce:
1. load /sbin/modprobe ppa
2. use zip drive normally
3. after about an hour after use, attempt to use the drive again.  module
should have failed
	

Actual Results:  zip drive would not be accessable or found by the computer

Expected Results:  zip drive should function normally after starting
/sbin/modprobe ppa

 sda:<1>Unable to handle kernel paging request at virtual address 00052072
c0162cd7
Oops: 0002
CPU:    0
EIP:    0010:[<c0162cd7>]
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010046
eax: 00000000   ebx: 00052046   ecx: 00000002   edx: 00000000
esi: 00000002   edi: 00000000   ebp: 00000002   esp: c2dc9c98
ds: 0018   es: 0018   ss: 0018
Process modprobe (pid: 1653, stackpage=c2dc9000)
Stack: 00000000 c2dc9ca8 c2e21b60 00000002 c2e21b60 c0162d85 00052046
c2e21b60 
       00000000 00000002 00052046 00000000 c74d8f20 00000000 00000800
c01634a7 
       c2e21b60 00000000 00000002 00001dc0 00000034 00002000 c6cb5848
c6cb5840 
Call Trace: [<c0162d85>] [<c01634a7>] [<c88fa7c0>] [<c88fab3b>]
[<c01637ea>] [<c
88fc420>] [<c01638e1>] 
       [<c0134ce0>] [<c0163ab7>] [<c01357b1>] [<c0153825>] [<c011610e>]
[<c01533
ca>] [<c011610e>] [<c88e2a4f>] 
       [<c01534c6>] [<c015344b>] [<c88e1c3a>] [<c88e2c28>] [<c88e2be0>]
[<c884b3
f6>] [<c88e0000>] [<c88e21c6>] 
       [<c88e2be0>] [<c88e2be0>] [<c0116e05>] [<c88e2d80>] [<c88fe000>]
[<c88e00
60>] [<c010901b>] 
Code: 01 4b 2c eb 0e 8d 74 26 00 85 d2 74 03 ff 43 34 01 4b 3c 85 
>>EIP; c0162cd7 <account_io_start+27/50>   <=====
Trace; c0162d85 <req_new_io+35/60>
Trace; c01634a7 <__make_request+507/6f0>
Trace; c88fa7c0 <[ppa]ppa_out+80/170>
Trace; c88fab3b <[ppa]ppa_select+7b/a0>
Trace; c01637ea <generic_make_request+15a/170>
Trace; c88fc420 <[ppa]ppa_hosts+0/e0>
Trace; c01638e1 <submit_bh+e1/100>
Trace; c0134ce0 <__insert_into_queues+70/80>
Trace; c0163ab7 <ll_rw_block+167/1c0>
Trace; c01357b1 <bread+31/70>
Trace; c0153825 <msdos_partition+75/380>
Trace; c011610e <printk+16e/180>
Trace; c01533ca <check_partition+8a/d0>
Trace; c011610e <printk+16e/180>
Trace; c88e2a4f <[sd_mod].rodata.start+62f/75f>
Trace; c01534c6 <grok_partitions+66/b0>
Trace; c015344b <register_disk+2b/40>
Trace; c88e1c3a <[sd_mod]sd_finish+14a/1e0>
Trace; c88e2c28 <[sd_mod]sd_fops+0/18>
Trace; c88e2be0 <[sd_mod]sd_template+0/0>
Trace; c884b3f6 <[scsi_mod]scsi_register_device_module+116/150>
Trace; c88e0000 <[tuner]__module_parm_pal+1cf62/1cfc2>
Trace; c88e21c6 <[sd_mod]init_sd+16/20>
Trace; c88e2be0 <[sd_mod]sd_template+0/0>
Trace; c88e2be0 <[sd_mod]sd_template+0/0>
Trace; c0116e05 <sys_init_module+525/5e0>
Trace; c88e2d80 <[sd_mod].bss.end+1/52e1>
Trace; c88fe000 <[ppa].data.end+1a81/1ae1>
Trace; c88e0060 <[sd_mod]sd_ioctl+0/440>
Trace; c010901b <system_call+33/38>
Code;  c0162cd7 <account_io_start+27/50>
00000000 <_EIP>:
Code;  c0162cd7 <account_io_start+27/50>   <=====
   0:   01 4b 2c                  add    %ecx,0x2c(%ebx)   <=====
Code;  c0162cda <account_io_start+2a/50>
   3:   eb 0e                     jmp    13 <_EIP+0x13> c0162cea
<account_io_sta
rt+3a/50>
Code;  c0162cdc <account_io_start+2c/50>
   5:   8d 74 26 00               lea    0x0(%esi,1),%esi
Code;  c0162ce0 <account_io_start+30/50>
   9:   85 d2                     test   %edx,%edx
Code;  c0162ce2 <account_io_start+32/50>
   b:   74 03                     je     10 <_EIP+0x10> c0162ce7
<account_io_sta
rt+37/50>
Code;  c0162ce4 <account_io_start+34/50>
   d:   ff 43 34                  incl   0x34(%ebx)
Code;  c0162ce7 <account_io_start+37/50>
  10:   01 4b 3c                  add    %ecx,0x3c(%ebx)
Code;  c0162cea <account_io_start+3a/50>
  13:   85 00                     test   %eax,(%eax)
Comment 1 Need Real Name 2001-04-28 15:08:08 EDT
Created attachment 16729 [details]
error message from dmesg

Note You need to log in before you can comment on or make changes to this bug.